Get all active job ads from your Career page

Returns an array of active job ads as promoted on the Bob career page.

To learn more about the Hiring API and how to integrate with your career page, see How to integrate with your careers page.

Testing notes:

  • Use the testing widget's Try It! option to test this endpoint.
  • Use the Examples > Request Example option to see how to initiate body parameters.
Query Params
string

The job ads will be returned in the language you provide in the preferred language (if available). Otherwise, the language specified in the job ad will be used. To obtain the available language codes, call the Get all company lists Metadata API with worldLanguages in the listname path parameter.

Body Params

Use the 'fields' parameter in the request body to specify which fields to fetch. For a detailed list of available fields, refer to the schema in the '200 response' section.

Use the 'filters' parameter to filter the results. To retrieve all active job ads send an empty array in the 'filters' parameter in the request body, or specify filters in the request body to narrow the results.

fields
array of strings
required
Defaults to /jobAd/id

Array of field IDs to fetch for each job ad. You must specify at least one field. The complete list of available fields is in the 200 response body schema.

fields*
filters
array of objects
required
Defaults to

Array of filters to narrow down the search results. To fetch all active job ads, use an empty array (use Postman to try this as this platform does not support and empty array).
Example of fetching all Job ads (empty array):

"filters": []

Example of filtering by department:

"filters": [
{
"fieldId": "/jobAd/departmentId",
"operator": "equals",
"values": ["Accounting"]
} ]



Note: To filter results by department, employment type, site, job ad site, or workspace type, use the respective IDs, not descriptions. Retrieve these IDs from the Metadata endpoints, detailed under the '200 response' section.

filters*
Responses

400

The request contains incorrect parameters or syntax errors. Please review the request body.

404

The requested entry was not found. Ensure the filter criteria in the request body are correct.

Language
Credentials
Basic
base64
:
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json